Make it work with 7.0! Rated 5 out of 5 stars

I loved this add-on then I upgraded my Firefox. I wish I hadn't upgraded because now this add-on is not compatible. Please make it compatible with Firefox 7.0!